Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.taglib
Class GetUserNamesTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.taglib.UserManagementTag
              com.bea.p13n.usermgmt.taglib.GetUserNamesTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag, UserManagementTagConstants

public class GetUserNamesTag
extends UserManagementTag

Corresponds to `<ugm:getUsernames>`.

The `<ugm:getUsernames>` tag retrieves a String array that contains the usernames matching the provided search expression. The search expression supports only the asterisk (*) wildcard character, and is case insensitive. As many asterisks as desired may be used in the search expression. The tag has no enclosed body.

The limit parameter will control how many results are returned; if the number of results returned equals the limit passed in, try refining the search.

Tag Attribute | Required | Type | Description
atnProvider | no | String | The name of the authentication provider containing the users. The default provider will be used if not specified. Example: "`<%=atnProvider%>`"
searchExp | no | String | The search expression to apply to the user name search. Defaults to "*". Example: "`t*`"
userLimit | no | String (representing an Integer) | The maximum number of users to be returned from the search. (String which has a particular `Integer.valueOf`) Defaults to 100. Example: "`500`"
id | yes | String | A variable name to which the resultant user names are assigned. Example: "myUsers"
result | no | String | A variable name to which a constant describing the outcome of the operation will be assigned that can later be evaluated to see if the operation was successful. Possible Values: Success: `UserManagerTagConstants.USER_SEARCH_OK` Error encountered: `UserManagerTagConstants.USER_SEARCH_FAILED` Example: "`if(result.intValue() == UserManagerTagConstants.USER_SEARCH_OK) // proceed`"

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetUserNamesTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to run the user search.
`String` | `getAtnProvider()` Get the name of the authentication provider
`String` | `getResult()` Get the name of the variable to assign the result to
`String` | `getSearchExp()` Get the search expression
`int` | `getUserLimit()` Get the limit of the result-set size
`void` | `release()` Reset the tag's attributes
`void` | `setAtnProvider(String atnProvider)` Set the name of the authentication provider
`void` | `setResult(String result)` Set the name of the variable to assign the result to
`void` | `setSearchExp(String searchExp)` Set the search expression
`void` | `setUserLimit(int userLimit)` Set the limit of the result-set size
`void` | `setUserLimit(String userLimit)` Set the limit of the result-set size

Methods inherited from class com.bea.p13n.usermgmt.taglib.UserManagementTag
`getAtnManagerProxy`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUserNamesTag

    public GetUserNamesTag()

Method Detail

### doStartTag

    public int doStartTag()

  Go through the UserManager session bean to run the user search.

### getAtnProvider

    public String getAtnProvider()

  Get the name of the authentication provider

### getResult

    public String getResult()

  Get the name of the variable to assign the result to

### getSearchExp

    public String getSearchExp()

  Get the search expression

### getUserLimit

    public int getUserLimit()

  Get the limit of the result-set size

### release

    public void release()

  Reset the tag's attributes

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `UserManagementTag`

### setAtnProvider

    public void setAtnProvider(String atnProvider)

  Set the name of the authentication provider

### setResult

    public void setResult(String result)

  Set the name of the variable to assign the result to

### setSearchExp

    public void setSearchExp(String searchExp)

  Set the search expression

### setUserLimit

    public void setUserLimit(int userLimit)

  Set the limit of the result-set size

### setUserLimit

    public void setUserLimit(String userLimit)

  Set the limit of the result-set size

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved